%add_findreq_skiplist %perl_vendor_archlib/XML/Sablotron.pm
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: libjs-devel perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define upstream_name    XML-Sablotron
%define upstream_version 1.01

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%{upstream_version}
Release:	alt7_23
Summary:	Sablotron XSLT processor encapsulation
License:	MPL
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:		build_with_perl514.patch

Requires:	libsablotron >= 0.95

BuildRequires:	pkgconfig(expat)
BuildRequires:	libsablotron-devel libsablotron-devel-static
BuildRequires:	perl-devel 
Source44: import.info
#BuildRequires:	libjs-devel


%description
This package is a interface to the Sablotron API.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%if "%version" == "1.01"
%define _without_test 1
%endif

%build
/usr/bin/perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%make_build test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{perl_vendor_archlib}/XML
%{perl_vendor_archlib}/auto/XML


%changelog
* Wed Nov 29 2023 Cronbuild Service <cronbuild@altlinux.org> 1.01-alt7_23
- rebuild to get rid of unmets

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 1.01-alt6_23
- update by mgaimport

* Fri Apr 15 2022 Igor Vlasenko <viy@altlinux.org> 1.01-alt6_22
- update by mgaimport

* Sat Jul 03 2021 Igor Vlasenko <viy@altlinux.org> 1.01-alt6_21
- replaced by mga import

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 1.01-alt5.1
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 1.01-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 1.01-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 1.01-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 1.01-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 1.01-alt2
- rebuild to get rid of unmets

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

